<?php

/**
 * Main Ajax Controller
 *
 * @link 		https://lin3s.com
 * @since 		1.0.0
 *
 * @package 	Alexandria_Mail_Builder
 * @subpackage 	Alexandria_Mail_Builder/admin/controllers
 */

if( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// handle all ajax

function alexandria_mail_builder_ajax() {

	$action = empty($_POST['alexandria_mail_builder_action']) ? 'start' : $_POST['alexandria_mail_builder_action'];
	
	switch($action) {
		// start mail builder
		case 'start':
		default:
		echo MainEmailBuilderController :: intiBuilder();
		break;
	}

	exit;
}

function alexandria_email_get_cutom_post_metadata_ajax() {

	$action = empty($_POST['alexandria_get_cutom_post_metadata_ajax']) ? 'metadata' : $_POST['alexandria_get_cutom_post_metadata_ajax'];
	
	switch($action) {
		// get post metadata
		case 'metadata':
		default:
		echo MainEmailBuilderController :: getMailMetadata();
		break;
	}

	exit;
}

function alexandria_email_builder_process_contact_form() {

	$full_name = $_POST['full_name'];
	$email = $_POST['email'];
	$message = $_POST['message'];

	$template = get_option( 'message_mail' ) ? get_option('message_mail') : '';

 	$template = str_replace("{{full_name}}", $full_name, $template);
 	$template = str_replace("{{email}}", $email, $template);
 	$template = str_replace("{{message}}", $message, $template);

	$to = 'amunoz@refineriaweb.com';
	$subject = get_option('subject_mail') ? get_option('subject_mail') : '';
	$body = $text;

	$headers = array('Content-Type: text/html; charset=UTF-8');

	wp_mail( $to, $subject, $body, $headers );

	exit;
	
}

function alexandria_email_builder_order_list_cpt_ajax() {

	parse_str($_POST['order'], $data);

	if (!is_array($data))
		return false;

	$id_arr = array();
	foreach ($data as $key => $values) {
		foreach ($values as $position => $id) {
			$id_arr[] = $id;
		}
	}

	$menu_order_arr = array();

	foreach ($id_arr as $key => $id) {

		$order = get_post_meta( $id, 'order', true );
		$menu_order_arr[] = $order;
		
	}

	sort($menu_order_arr);

	foreach ($data as $key => $values) {

		foreach ($values as $position => $id) {

			update_post_meta(intval($id), 'order', intval($menu_order_arr[$position]));

		}
	}

	exit;
	
}

