jQuery(function($){

  jQuery(document).ready(function() {

    // on upload button click
    jQuery('body').on( 'click', '.alexandria-mail-builder-upl', function(e){
   
      e.preventDefault();
   
      var button = jQuery(this),
      custom_uploader = wp.media({
        title: 'Insert image',
        library : {
          type : 'image'
        },
        button: {
          text: 'Use this image'
        },
        multiple: false
      }).on('select', function() {
        var attachment = custom_uploader.state().get('selection').first().toJSON();
        button.html('<img src="' + attachment.url + '">').next().val(attachment.id).next().show();
      }).open();
   
    });
   
    // on remove button click
    jQuery('body').on('click', '.alexandria-mail-builder-rmv', function(e){
   
      e.preventDefault();
   
      var button = jQuery(this);
      button.prev().val('');
      button.hide().prev().prev().html('Upload image');
    });

    jQuery('input[type=radio].contact_type').change(function() {

        if (this.value == 'custom_form') {

          jQuery('#contact_form_7_box').fadeOut();
          jQuery('#custom_form_box').fadeIn();

        }
        else {

          jQuery('#custom_form_box').fadeOut();
          jQuery('#contact_form_7_box').fadeIn();

        }

      });

    jQuery("#video_type").on('change', function(){

      if(this.value === 'library') {
        jQuery('#video_media_upload_row').css('display', 'table-row');
        jQuery('#video_media_preview_row').css('display', 'table-row');
        jQuery('#library-youtube-video').css('display', 'none');
        jQuery('#library-vimeo-video').css('display', 'none');
      }

      if(this.value === 'youtube') {
        jQuery('#library-youtube-video').css('display', 'table-row');
        jQuery('#video_media_upload_row').css('display', 'none');
        jQuery('#video_media_preview_row').css('display', 'none');
        jQuery('#library-vimeo-video').css('display', 'none');
      }

      if(this.value === 'vimeo') {
        jQuery('#library-vimeo-video').css('display', 'table-row');
        jQuery('#video_media_upload_row').css('display', 'none');
        jQuery('#video_media_preview_row').css('display', 'none');
        jQuery('#library-youtube-video').css('display', 'none');
      }

      if(this.value === '0') {
        jQuery('#library-vimeo-video').css('display', 'none');
        jQuery('#video_media_upload_row').css('display', 'none');
        jQuery('#video_media_preview_row').css('display', 'none');
        jQuery('#library-youtube-video').css('display', 'none');
      }

      return false;
    });

    if(jQuery('#select_interlocutor_email').length) {

      jQuery('#select_interlocutor_email').select2({ width: '100%' });
      jQuery('#select_situation_email').select2({ width: '100%' });
      jQuery('#select_tono_email').select2({ width: '100%' });

      select_gran_idea_email = new DualListboxEmailBuilder('#select_gran_idea_email',{
        availableTitle: translated_strings.gran_ideas_string + ' - ' + translated_strings.email_string,
        selectedTitle: translated_strings.gran_ideas_string + translated_strings.seleccionadas_string,
        addButtonText: '>',
        removeButtonText: '<', 
        addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: translated_strings.search_string
      });

      select_arguments_email = new DualListboxEmailBuilder('#select_arguments_email',{
        availableTitle: translated_strings.arguments_string + ' - ' + translated_strings.email_string,
        selectedTitle: translated_strings.arguments_string + translated_strings.seleccionadas_string,
        addButtonText: '>',
        removeButtonText: '<', 
        addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: translated_strings.search_string
      });

      select_content_boxes = new DualListboxEmailBuilder('#select_content_boxes',{
        availableTitle: translated_strings.content_boxes_string,
        selectedTitle: translated_strings.content_boxes_string + translated_strings.seleccionadas_string,
        addButtonText: '>',
        removeButtonText: '<', 
        addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: translated_strings.search_string
      });

      select_engagement_boxes = new DualListboxEmailBuilder('#select_engagement_boxes',{
        availableTitle: translated_strings.engagement_boxes_string,
        selectedTitle: translated_strings.engagement_boxes_string + translated_strings.seleccionadas_string,
        addButtonText: '>',
        removeButtonText: '<', 
        addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: translated_strings.search_string
      });

      select_ingredients = new DualListboxEmailBuilder('#select_ingredients',{
        availableTitle: translated_strings.ingredients_string,
        selectedTitle: translated_strings.ingredients_string + translated_strings.seleccionados_string,
        addButtonText: '>',
        removeButtonText: '<', 
        addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: translated_strings.search_string
      });
      
      select_soliloquios = new DualListboxEmailBuilder('#select_soliloquios_emails',{
        availableTitle: translated_strings.soliloquios_string,
        selectedTitle: translated_strings.soliloquios_string + translated_strings.seleccionados_string,
        addButtonText: '>',
        removeButtonText: '<', 
        addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: translated_strings.search_string
      });

      gran_idea_pitch = new DualListboxEmailBuilder('#gran_idea_pitch',{
        availableTitle: translated_strings.gran_idea_string + ' - ' + translated_strings.pitch_string,
        selectedTitle: translated_strings.gran_idea_string + translated_strings.seleccionadas_string,
        addButtonText: '>',
        removeButtonText: '<', 
        addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: translated_strings.search_string
      });

      select_arguments_pitch = new DualListboxEmailBuilder('#select_arguments_pitch',{
        availableTitle: translated_strings.arguments_string + ' - ' + translated_strings.pitch_string,
        selectedTitle: translated_strings.arguments_string + translated_strings.seleccionados_string,
        addButtonText: '>',
        removeButtonText: '<', 
        addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: translated_strings.search_string
      });

      call_to_action = new DualListboxEmailBuilder('#select_call_to_action',{
        availableTitle: translated_strings.call_to_action_string,
        selectedTitle: translated_strings.call_to_action_string + translated_strings.seleccionadas_string,
        addButtonText: '>',
        removeButtonText: '<', 
        addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: translated_strings.search_string
      });

      select_examples_email = new DualListboxEmailBuilder('#select_examples_email',{
        availableTitle: translated_strings.examples_string,
        selectedTitle: translated_strings.examples_string + translated_strings.seleccionados_string,
        addButtonText: '>',
        removeButtonText: '<', 
        addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: translated_strings.search_string
      });

      select_comments_email = new DualListboxEmailBuilder('#select_comments_email',{
        availableTitle: translated_strings.comments_string,
        selectedTitle: translated_strings.comments_string + translated_strings.seleccionados_string,
        addButtonText: '>',
        removeButtonText: '<', 
        addAllButtonText: '>>',
        removeAllButtonText: '<<',
        searchPlaceholder: translated_strings.search_string
      });

    }

    // Init default wordpress colorpicker
    if(jQuery('#settings_email_builder_form').length) { 
      jQuery('.color-field').wpColorPicker();
    }

  });

  function change_settings_tab(evt, tab_id) {
    // Declare all variables
    var i, tabcontent, tablinks;

    // Get all elements with class="tabcontent" and hide them
    tabcontent = document.getElementsByClassName("tabcontent");
    for (i = 0; i < tabcontent.length; i++) {
      tabcontent[i].style.display = "none";
    }

    // Get all elements with class="tablinks" and remove the class "nav-tab-active"
    tablinks = document.getElementsByClassName("tablinks");
    for (i = 0; i < tablinks.length; i++) {
      tablinks[i].className = tablinks[i].className.replace(" nav-tab-active", "");
    }

    // Show the current tab, and add an "nav-tab-active" class to the button that opened the tab
    document.getElementById(tab_id).style.display = "block";
    evt.currentTarget.className += " nav-tab-active";
  }

});