/*
* Toggle Sections
*/

function toggleCurrentEmailSection() {

	let section_id = jQuery('.alexandria-section.active').prop('id');
	let current_section = undefined;
	let next_section = undefined;

	jQuery(this).removeClass('active');

	jQuery('#alexandria-builder-button-container-tabs').addClass('visible');

	if(section_id == 'interlocutors-section') {
		current_section = jQuery('#interlocutors-section');
		next_section = jQuery('#situations-section');

		current_section.fadeOut();
		current_section.removeClass('active');

		next_section.addClass('active');
		next_section.fadeIn();

		return false;
	}

	if(section_id == 'situations-section') {
		current_section = jQuery('#situations-section');
		next_section = jQuery('#tono-section');
		jQuery('#alexandria-builder-button-back').css('visibility', 'hidden');

		current_section.fadeOut();
		current_section.removeClass('active');

		next_section.addClass('active');
		next_section.fadeIn();

		return false;
	}

	if(section_id == 'tono-section') {
		jQuery('#alexandria-builder-button-back').css('visibility', 'hidden');
		
		makeEmail();
		return false;
	}

	if(section_id == 'tabs-section') {
		return false;
	}

}


/*
* Go back step
*/
function goBackCurrentEmailSection() {

	let section_id = jQuery('.alexandria-section.active').prop('id');
	let current_section = undefined;
	let next_section = undefined;

	jQuery('.alexandria-builder-button-container').addClass('visible');

	if(section_id == 'interlocutors-section') {
		return false;
	}

	if(section_id == 'situations-section') {

		jQuery('#alexandria-builder-button-back').css('visibility', 'hidden');

		current_section = jQuery('#situations-section');
		next_section = jQuery('#interlocutors-section');
	}

	if(section_id == 'tono-section') {
		current_section = jQuery('#tono-section');
		next_section = jQuery('#situations-section');
	}

	if(section_id == 'tabs-section') {

		current_section = jQuery('#tabs-section');
		next_section = jQuery('#tono-section');
	}

	current_section.fadeOut();
	current_section.removeClass('active');
	next_section.addClass('active');
	next_section.fadeIn();
}

/*
* Copy text from inputs
*/
function copy_text_from_inputs() {

	var tooltip = document.getElementById("button_copy_tooltip");
	tooltip.style.visibility = 'visible';
	tooltip.style.opacity = 1;

	let email_tab = jQuery('#defaultOpen');
	let pitch_tab = jQuery('#pitch_tab');
	let examples_tab = jQuery('#examples_tab');

	if(email_tab.hasClass('active')) {

		var soliloquio_text = jQuery.trim(jQuery('#soliloquio_title').text());
		var gran_ideas_email_title = jQuery.trim(jQuery('#gran_ideas_email_title').text());
		var arguments_email_title = jQuery.trim(jQuery('#arguments_email_title').text());
		var call_to_action_title = jQuery.trim(jQuery('#call_to_action_title').text());

		var text = soliloquio_text + '\n\n' + gran_ideas_email_title + '\n\n' + arguments_email_title + '\n\n' + call_to_action_title;

		jQuery("#textarea_clipboard").text(text);

	}

	if(pitch_tab.hasClass('active')) {

		var gran_idea_pitch_text = '';
		var arguments_pitch_text = '';
		var content_boxes_text = '';
		var engagement_boxes_text = '';
		var ingredients = '';

		jQuery("#gran_ideas_pitch_wrapper .item-text").each(function() {
			gran_idea_pitch_text += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		jQuery("#arguments_pitch_wrapper .item-text").each(function() {
			arguments_pitch_text += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		jQuery("#content_boxes_wrapper .item-text").each(function() {
			content_boxes_text += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		jQuery("#engagement_boxes_wrapper .item-text").each(function() {
			engagement_boxes_text += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		jQuery("#ingredients_wrapper .item-text").each(function() {
			ingredients += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		var text = gran_idea_pitch_text + '\n\n' + arguments_pitch_text + '\n\n' + content_boxes_text + '\n\n' + engagement_boxes_text + '\n\n' + ingredients;

		jQuery("#textarea_clipboard").text(text);

	}

	if(examples_tab.hasClass('active')) {

		var title = '';
		var description = '';
		var examples = '';
		var comments = '';

		jQuery("#examples .example-principal").each(function() {
			title = jQuery.trim(jQuery(this).find('.example-principal-title').text()) + '\n\n';
			description = jQuery.trim(jQuery(this).find('.example-description').text()) + '\n\n\n\n';

			examples += title + description;
		});

		jQuery("#comments_wrapper .item-text").each(function() {
			comments += jQuery.trim(jQuery(this).text()) + '\n\n';
		});

		var text = examples;

		jQuery("#textarea_clipboard").text(text);

	}

	/* Get the text field */
	var copyText = document.getElementById("textarea_clipboard");

	/* Select the text field */
	copyText.select();
	copyText.setSelectionRange(0, 99999); /*For mobile devices*/

	/* Copy the text inside the text field */
	document.execCommand("copy");
}