<?php

/**
 * Contact Model Partial.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Alexandria_Mail_Builder
 * @subpackage Alexandria_Mail_Builder/public/templates
 */

if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

$plugin_name = "alexandria-mail-builder";

?>

<div id="modal_contacto" class="modal" role="form" style="display: none;">

	<!-- Modal content-->
	<div class="modal-content">

		<div class="modal-cross-wrapper">
			<a id="cross_close_modal" href="#">
				<img src="<?php echo ALEXANDRIA_MAIL_BUILDER_PUBLIC_URL.'assets/images/cancel.svg'?>" alt="">
			</a>
		</div>

		<div class="modal-header">
			<div class="modal-title-wrapper">
				<h4 class="modal-title">
					<?php _e('Formulario de contacto','alexandria-mail-builder'); ?>	
				</h4>
			</div>
		</div>

		<!-- Check if wpcf7 is active -->
		<?php if(function_exists('wpcf7_add_shortcode')) {

			// Check if WMPL is active 
			if (function_exists('icl_object_id') && defined( 'ICL_LANGUAGE_CODE' ) ) {

				$form_id = get_option(  $plugin_name.'_contact_form_id_email_builder_'.ICL_LANGUAGE_CODE ); ?>

				<div class="modal-body">
					<?php echo do_shortcode('[contact-form-7 id="'.$form_id.'"]'); ?>
				</div>

			<?php } else {

				$form_id = get_option( $plugin_name.'_contact_form_id_email_builder' ); ?>

				<div class="modal-body">
					<?php echo do_shortcode('[contact-form-7 id="'.$form_id.'"]'); ?>
				</div>

			<?php }

		} else { ?>

			<form id="contact-form" action="post">

				<div class="modal-body">

					<label for="full_name"><?php _e('Nombre Completo', 'alexandria-mail-builder'); ?></label>
					<input type="text" value="" name="full_name" placeholder="John Doe" required/>

					<label for="email"><?php _e('Correo electrónico', 'alexandria-mail-builder'); ?></label>
					<input type="email" value="" name="email" placeholder="me@example.com" required/>

					<label for="message"><?php _e('Comentario', 'alexandria-mail-builder'); ?></label>
					<input type="text" value="" name="message" placeholder="<?php _e('Escribe aquí tu comentario','alexandria-mail-builder'); ?>" required/>

				</div>

				<div class="modal-footer">

					<button type="submit" class="button-send-form" data-dismiss="modal">
						<?php _e('Enviar','alexandria-mail-builder'); ?>
					</button>

				</div>

			</form>

		<?php } ?>

	</div>

</div>